> For the complete documentation index, see [llms.txt](https://docs.paveapi.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.paveapi.com/hotspots/developer-docs/sessions/post-upload-photos.md).

# POST Upload Photos

### Endpoint

```
POST https://openapi.paveapi.com/v1/hotspots/:session_key/photos-url
```

#### Headers

```makefile
API-Key: Your_API_Key
```

| Headers | Description                     | Example                              |
| ------- | ------------------------------- | ------------------------------------ |
| API-Key | The API Key for authentication. | 09bc91b9-76e5-4256-8e4g-7a41c1408014 |

#### Params

```makefile
session_key: Your_Session_Key
```

| Params       | Description        | Example        |
| ------------ | ------------------ | -------------- |
| session\_key | The Session ID Key | UCB-C3NPR4AGQZ |

#### **Sample** Request  &#x20;

````
{
    "photos": [
        {
            "photo_label": "VIN",
            "url": "https://i.ibb.co/b67cPzx/UDB-MPG1-GV1-IZO-01-GFE.jpg"
        },
        {
            "photo_label": "Interior",
            "url": "https://images-cdn.paveapi.com/UDB/UDB-512D3TASIY/UDB-512D3TASIY_02_X7W.jpg"
        },
        {
            "photo_label": "Cluster",
            "url": "https://images-cdn.paveapi.com/UDB/UDB-512D3TASIY/UDB-512D3TASIY_03_KSR.jpg"
        },
        {
            "photo_label": "Left",
            "url": "https://images-cdn.paveapi.com/UDB/UDB-512D3TASIY/UDB-512D3TASIY_04_TVL.jpg"
        },
        {
            "photo_label": "Front",
            "url": "https://images-cdn.paveapi.com/UDB/UDB-512D3TASIY/UDB-512D3TASIY_05_IC5.jpg"
        },
        {
            "photo_label": "Tires",
            "url": "https://images-cdn.paveapi.com/UDB/UDB-512D3TASIY/UDB-512D3TASIY_06_VI9.jpg"
        },
        {
            "photo_label": "Right",
            "url": "https://images-cdn.paveapi.com/UDB/UDB-512D3TASIY/UDB-512D3TASIY_07_R0Q.jpg"
        },
        {
            "photo_label": "Rear",
            "url": "https://images-cdn.paveapi.com/UDB/UDB-512D3TASIY/UDB-512D3TASIY_08_U9T.jpg"
        },
        {
            "photo_label": "Windshield",
            "url": "https://images-cdn.paveapi.com/UDB/UDB-512D3TASIY/UDB-512D3TASIY_09_GRA.jpg"
        },
        {
            "photo_label": "Front_Left",
            "url": "https://images-cdn.paveapi.com/UDB/UDB-512D3TASIY/UDB-512D3TASIY_10_WQM.jpg"
        },
        {
            "photo_label": "Front_Right",
            "url": "https://images-cdn.paveapi.com/UDB/UDB-512D3TASIY/UDB-512D3TASIY_11_6NG.jpg"
        },
        {
            "photo_label": "Rear_Right",
            "url": "https://images-cdn.paveapi.com/UDB/UDB-512D3TASIY/UDB-512D3TASIY_12_FO3.jpg"
        },
        {
            "photo_label": "Rear_Left",
            "url": "https://images-cdn.paveapi.com/UDB/UDB-512D3TASIY/UDB-512D3TASIY_13_VSB.jpg"
        }
    ]
}
```
````

#### **Sample** Confirmation Response (200 OK)

{% code title="" %}

```
{
    "data": [
        {
            "photo_label": "VIN",
            "url": "https://i.ibb.co/b67cPzx/UDB-MPG1-GV1-IZO-01-GFE.jpg",
            "success": true,
            "message": "Photo URL has been successfully submitted."
        },
        {
            "photo_label": "Interior",
            "url": "https://images-cdn.paveapi.com/UDB/UDB-512D3TASIY/UDB-512D3TASIY_02_X7W.jpg",
            "success": true,
            "message": "Photo URL has been successfully submitted."
        },
        {
            "photo_label": "Cluster",
            "url": "https://images-cdn.paveapi.com/UDB/UDB-512D3TASIY/UDB-512D3TASIY_03_KSR.jpg",
            "success": true,
            "message": "Photo URL has been successfully submitted."
        },
        {
            "photo_label": "Left",
            "url": "https://images-cdn.paveapi.com/UDB/UDB-512D3TASIY/UDB-512D3TASIY_04_TVL.jpg",
            "success": true,
            "message": "Photo URL has been successfully submitted."
        },
        {
            "photo_label": "Front",
            "url": "https://images-cdn.paveapi.com/UDB/UDB-512D3TASIY/UDB-512D3TASIY_05_IC5.jpg",
            "success": true,
            "message": "Photo URL has been successfully submitted."
        },
        {
            "photo_label": "Tires",
            "url": "https://images-cdn.paveapi.com/UDB/UDB-512D3TASIY/UDB-512D3TASIY_06_VI9.jpg",
            "success": true,
            "message": "Photo URL has been successfully submitted."
        },
        {
            "photo_label": "Right",
            "url": "https://images-cdn.paveapi.com/UDB/UDB-512D3TASIY/UDB-512D3TASIY_07_R0Q.jpg",
            "success": true,
            "message": "Photo URL has been successfully submitted."
        },
        {
            "photo_label": "Rear",
            "url": "https://images-cdn.paveapi.com/UDB/UDB-512D3TASIY/UDB-512D3TASIY_08_U9T.jpg",
            "success": true,
            "message": "Photo URL has been successfully submitted."
        },
        {
            "photo_label": "Windshield",
            "url": "https://images-cdn.paveapi.com/UDB/UDB-512D3TASIY/UDB-512D3TASIY_09_GRA.jpg",
            "success": true,
            "message": "Photo URL has been successfully submitted."
        },
        {
            "photo_label": "Front_Left",
            "url": "https://images-cdn.paveapi.com/UDB/UDB-512D3TASIY/UDB-512D3TASIY_10_WQM.jpg",
            "success": true,
            "message": "Photo URL has been successfully submitted."
        },
        {
            "photo_label": "Front_Right",
            "url": "https://images-cdn.paveapi.com/UDB/UDB-512D3TASIY/UDB-512D3TASIY_11_6NG.jpg",
            "success": true,
            "message": "Photo URL has been successfully submitted."
        },
        {
            "photo_label": "Rear_Right",
            "url": "https://images-cdn.paveapi.com/UDB/UDB-512D3TASIY/UDB-512D3TASIY_12_FO3.jpg",
            "success": true,
            "message": "Photo URL has been successfully submitted."
        },
        {
            "photo_label": "Rear_Left",
            "url": "https://images-cdn.paveapi.com/UDB/UDB-512D3TASIY/UDB-512D3TASIY_13_VSB.jpg",
            "success": true,
            "message": "Photo URL has been successfully submitted."
        }
    ]
}
```

{% endcode %}

#### **Sample** Response when the images have already been submitted

{% code title="" %}

```
{
    "data": [
        {
            "photo_label": "VIN",
            "url": "https://i.ibb.co/b67cPzx/UDB-MPG1-GV1-IZO-01-GFE.jpg",
            "success": false,
            "message": "Photo has been successfully processed and cannot be updated."
        },
        {
            "photo_label": "Interior",
            "url": "https://images-cdn.paveapi.com/UDB/UDB-512D3TASIY/UDB-512D3TASIY_02_X7W.jpg",
            "success": false,
            "message": "Photo has been successfully processed and cannot be updated."
        },
        {
            "photo_label": "Cluster",
            "url": "https://images-cdn.paveapi.com/UDB/UDB-512D3TASIY/UDB-512D3TASIY_03_KSR.jpg",
            "success": false,
            "message": "Photo has been successfully processed and cannot be updated."
        },
        {
            "photo_label": "Left",
            "url": "https://images-cdn.paveapi.com/UDB/UDB-512D3TASIY/UDB-512D3TASIY_04_TVL.jpg",
            "success": false,
            "message": "Photo has been successfully processed and cannot be updated."
        },
        {
            "photo_label": "Front",
            "url": "https://images-cdn.paveapi.com/UDB/UDB-512D3TASIY/UDB-512D3TASIY_05_IC5.jpg",
            "success": false,
            "message": "Photo has been successfully processed and cannot be updated."
        },
        {
            "photo_label": "Tires",
            "url": "https://images-cdn.paveapi.com/UDB/UDB-512D3TASIY/UDB-512D3TASIY_06_VI9.jpg",
            "success": false,
            "message": "Photo is still under processing and cannot be updated."
        },
        {
            "photo_label": "Right",
            "url": "https://images-cdn.paveapi.com/UDB/UDB-512D3TASIY/UDB-512D3TASIY_07_R0Q.jpg",
            "success": false,
            "message": "Photo is still under processing and cannot be updated."
        },
        {
            "photo_label": "Rear",
            "url": "https://images-cdn.paveapi.com/UDB/UDB-512D3TASIY/UDB-512D3TASIY_08_U9T.jpg",
            "success": false,
            "message": "Photo has been successfully processed and cannot be updated."
        },
        {
            "photo_label": "Windshield",
            "url": "https://images-cdn.paveapi.com/UDB/UDB-512D3TASIY/UDB-512D3TASIY_09_GRA.jpg",
            "success": false,
            "message": "Photo is still under processing and cannot be updated."
        },
        {
            "photo_label": "Front_Left",
            "url": "https://images-cdn.paveapi.com/UDB/UDB-512D3TASIY/UDB-512D3TASIY_10_WQM.jpg",
            "success": false,
            "message": "Photo is still under processing and cannot be updated."
        },
        {
            "photo_label": "Front_Right",
            "url": "https://images-cdn.paveapi.com/UDB/UDB-512D3TASIY/UDB-512D3TASIY_11_6NG.jpg",
            "success": false,
            "message": "Photo is still under processing and cannot be updated."
        },
        {
            "photo_label": "Rear_Right",
            "url": "https://images-cdn.paveapi.com/UDB/UDB-512D3TASIY/UDB-512D3TASIY_12_FO3.jpg",
            "success": false,
            "message": "Photo is still under processing and cannot be updated."
        },
        {
            "photo_label": "Rear_Left",
            "url": "https://images-cdn.paveapi.com/UDB/UDB-512D3TASIY/UDB-512D3TASIY_13_VSB.jpg",
            "success": false,
            "message": "Photo is still under processing and cannot be updated."
        }
    ]
}
```

{% endcode %}

#### **Sample Error** Responses

{% code title="Response: Missing API-KEY" %}

```
{
    "code": 400,
    "message": "Missing API-Key in authentication header.",
    "timestamp": {{time_stamp}}
}
```

{% endcode %}

{% code title="Response: Missing Header" %}

```
{
    "code": 404,
    "message": "Session cannot be found with the given API-Key.",
    "timestamp": {{time_stamp}}
}
```

{% endcode %}

{% code title="Response: Session Already Completed   " %}

```

{
    "code": 400,
    "message": "This session is already inspected or expired.",
    "timestamp": "2023-05-30T20:52:29.506948Z"
}
```

{% endcode %}
